API ReferenceWorker Protocol
Refresh issue lock TTL
Refresh issue lock TTL - Rensei REST API operation reference.
Authorization
workerJwt AuthorizationBearer <token>
Runtime JWT minted by the platform at worker registration. Three-segment dotted string. Claims include {jti, proj, org, sub (=workerId), reg, scope[]}. Use on all post-registration worker endpoints.
In: header
Path Parameters
id*string
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/api/sessions/string/lock-refresh" \ -H "Content-Type: application/json" \ -d '{ "workerId": "string", "issueId": "string" }'{
"refreshed": true
}{
"error": "Session not found"
}{
"error": "Session not found"
}{
"error": "Session not found"
}{
"error": "Session not found"
}